=== debian/control ===
Source: slexpat
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libexpat1-dev,
               libslang2-dev (>= 2.0.4-6)
Standards-Version: 4.6.0
Homepage: http://www.cheesit.com/downloads/slang/slexpat.html
Vcs-Git: https://salsa.debian.org/debian/slexpat.git
Vcs-Browser: https://salsa.debian.org/debian/slexpat
Rules-Requires-Root: no

Package: slang-expat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: S-Lang bindings for the expat XML parser
 The S-Lang module contained in this package provides bindings to the
 expat library for parsing XML files.  This module can be used in slsh
 (the S-Lang shell), in the JED editor, and in the news reader slrn.
