=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr INSTALL="install -m 644"
