=== debian/watch ===
version=4
http://www.cheesit.com/downloads/slang/slexpat.html .*/slexpat-([\d.]+).tgz
